class Footer extends HTMLElement {
    constructor() {
        super();
        this.innerHTML = `
            <footer>
                <div id="blueBar"></div>
                <div id="footerContent">
                    <div>
                        <a href="/datenschutzerklaerung.html">Datenschutzerkl&auml;rung</a><br>
                        <a href="/bildquellen.html">Bildquellen</a><br>
                        <a href="/impressum.html">Impressum</a><br>
                    </div>
                    <div id="newestPost">
                        <h3>Neueste Beitr&auml;ge:</h3>
                        <jl-footer_blog></jl-footer_blog>
                    </div>
                    <div class="center">
                        <p class="center">
                            <a href="https://www.instagram.com/jonasled1/">
                                <jl-svg data-name="instagram"></jl-svg>
                            </a>
            
                            <a href="https://www.thingiverse.com/jonasled/designs/">
                                <jl-svg data-name="3d_model"></jl-svg>
                            </a>
            
                            <a href="https://paypal.me/jonasled/">
                                <jl-svg data-name="paypal"></jl-svg>
                            </a>
            
                            <a href="https://matrix.to/#/@jonasled:jonasled.de">
                                <jl-svg data-name="matrix"></jl-svg>
                            </a>
            
                            <a href="https://twitter.com/jonasled1">
                                <jl-svg data-name="twitter"></jl-svg>
                            </a>
                        </p>
                    </div>
                </div>
            </footer>
            <jl-cookie_notice></jl-cookie_notice>
        `;
    }
}

customElements.define("jl-footer", Footer);