class newComment extends HTMLElement {
    constructor() {
        super();
        this.setupForm();
    }

    async setupForm(){
        let sitekey = await (await fetch("/API/config.php?name=sitekey")).text();

        this.innerHTML = ` 
            <form action="/API/newComment.php" method="post">
                <label for="name">Name:</label><br>
                <input type="text" id="name" name="name"><br><br>
        
                <label for="email">E-Mail: (wird nicht ver&ouml;ffentlicht)</label><br>
                <input type="text" id="email" name="email"><br><br>
        
                <label for="comment">Kommentar:</label><br>
                <textarea name="commebodynt" id="comment"></textarea><br><br>
                
                <div class="h-captcha" data-theme="dark" data-sitekey="${sitekey}"></div><br>
                
                <input type="submit" value="Kommentar ver&ouml;ffentlichen"><br>
                <p>Mit dem Klick auf den obigen Button erkl&auml;ren sie sich mit der <a href="/datenschutzerklaerung.html">Datenschutzerkl&auml;rung</a> einverstanden.</p>
            </form>
        `;
    }
}

customElements.define("jl-new_comment", newComment);